{
  "name": "chtax-web",
  "version": "2.4.0",
  "private": true,
  "scripts": {
    "dev": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "build-node18-win": "set NODE_OPTIONS=--openssl-legacy-provider && vue-cli-service build",
    "build:stage": "vue-cli-service build --mode stage",
    "build:report": "vue-cli-service build --report",
    "lint": "vue-cli-service lint",
    "dev:djz": "vue-cli-service serve --mode developmentDJZ",
    "build:djz": "vue-cli-service build --mode productionDJZ",
    "build-node18-win:djz": "set NODE_OPTIONS=--openssl-legacy-provider && vue-cli-service build --mode productionDJZ"
  },
  "dependencies": {
    "@ckeditor/ckeditor5-build-classic": "^27.0.0",
    "@ckeditor/ckeditor5-vue2": "^1.0.5",
    "axios": "^0.18.1",
    "crypto-js": "^4.0.0",
    "default-passive-events": "^2.0.0",
    "driver.js": "^0.9.5",
    "element-ui": "^2.12.0",
    "file-saver": "^2.0.1",
    "html2canvas": "*",
    "jquery": "^3.5.1",
    "js-base64": "^3.2.4",
    "js-cookie": "^2.2.0",
    "jsencrypt": "^3.0.0-rc.1",
    "jspdf": "^2.3.1",
    "jszip": "^3.5.0",
    "mockjs": "^1.0.1-beta3",
    "normalize.css": "^8.0.1",
    "pinyin": "^2.9.1",
    "print-js": "^1.1.0",
    "qrcode": "^1.4.4",
    "qrcodejs2": "0.0.2",
    "screenfull": "^4.0.1",
    "secure-ls": "^1.2.6",
    "sortablejs": "^1.8.4",
    "tinymce": "^5.0.2",
    "tui-editor": "^1.3.2",
    "vue": "^2.6.8",
    "vue-backtop-pack": "^0.2.0",
    "vue-clipboard-pack": "^1.0.4",
    "vue-cookie": "^1.1.4",
    "vue-i18n": "^8.9.0",
    "vue-num-to": "^1.0.2",
    "vue-pdf": "^4.2.0",
    "vue-position-sticky": "^0.2.0",
    "vue-print-nb": "^1.5.0",
    "vue-progressbar": "^0.7.5",
    "vue-router": "^3.0.2",
    "vuedraggable": "^2.20.0",
    "vuex": "^3.1.0",
    "vuex-persistedstate": "^3.0.1",
    "wangeditor": "^4.6.9",
    "xlsx": "^0.14.1"
  },
  "devDependencies": {
    "@vue/babel-helper-vue-jsx-merge-props": "^1.0.0-beta.2",
    "@vue/babel-preset-jsx": "^1.0.0-beta.2",
    "@vue/cli-plugin-babel": "^3.5.0",
    "@vue/cli-plugin-eslint": "^3.5.0",
    "@vue/cli-service": "^3.5.0",
    "@vue/eslint-config-standard": "^4.0.0",
    "babel-eslint": "^10.0.1",
    "babel-plugin-component": "^1.1.1",
    "babel-plugin-transform-remove-console": "^6.9.4",
    "eslint": "^5.8.0",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-standard": "^5.0.0",
    "eslint-plugin-vue": "^5.0.0",
    "script-loader": "^0.7.2",
    "stylus": "^0.54.5",
    "stylus-loader": "^3.0.2",
    "svg-sprite-loader": "^4.1.3",
    "vue-template-compiler": "^2.6.8"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "@vue/standard"
    ],
    "rules": {
      "no-undef": 0,
      "indent": 0,
      "camelcase": 0,
      "space-before-function-paren": 0,
      "vue/require-component-is": 0
    },
    "parserOptions": {
      "parser": "babel-eslint"
    }
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
